REINDEX_REF=reindex-reference.mtz
PHASE_REF=refined-phase.mtz
RESO=2.1

pointless HKLIN $LIGHT.mtz HKLREF $REINDEX_REF HKLOUT $LIGHT-reindex.mtz

pointless HKLIN $DARK.mtz HKLREF $REINDEX_REF HKLOUT $DARK-reindex.mtz

if [ -e $DARK-sftools.mtz ]; then
   rm -f $DARK-sftools.mtz
fi

if [ -e $LIGHT-sftools.mtz ]; then
   rm -f $LIGHT-sftools.mtz
fi

sftools <<EOF
READ $DARK-reindex.mtz
SELECT RESOL > $RESO
PURGE YES
WRITE $DARK-sftools.mtz
END
EOF

sftools <<EOF
READ $LIGHT-reindex.mtz
SELECT RESOL > $RESO
PURGE YES
WRITE $LIGHT-sftools.mtz
END
EOF

ctruncate -mtzin $DARK-sftools.mtz -mtzout $DARK-F.mtz -colin "/*/*/[IMEAN,SIGIMEAN]"
ctruncate -mtzin $LIGHT-sftools.mtz -mtzout $LIGHT-F.mtz -colin "/*/*/[IMEAN,SIGIMEAN]"

# 160303: PHIF-model should be PHIC for REFMAC.
cad hklin1 $DARK-F.mtz hklin2 $LIGHT-F.mtz hklin3 $PHASE_REF hklout $LIGHT--$DARK.mtz <<EOF
LABIN FILE_NUMBER 1 E1=F E2=SIGF
LABIN FILE_NUMBER 2 E1=F E2=SIGF
LABIN FILE_NUMBER 3 E1=PHIF-model
LABOUT FILE_NUMBER 1 E1=F_DARK E2=SIGF_DARK
LABOUT FILE_NUMBER 2 E1=F_LIGHT E2=SIGF_LIGHT
LABOUT FILE_NUMBER 3 E1=PHIC_REF
XNAME FILE_NUMBER 1 ALL=DARK
XNAME FILE_NUMBER 2 ALL=LIGHT
XNAME FILE_NUMBER 3 ALL=PHASE_REF
EOF

scaleit hklin $LIGHT--$DARK.mtz hklout $LIGHT--$DARK-scaled.mtz <<EOF | tee $LIGHT--$DARK_scaleit.log
LABIN FP=F_DARK SIGFP=SIGF_DARK FPH1=F_LIGHT SIGFPH1=SIGF_LIGHT
EOF

fft hklin $LIGHT--$DARK-scaled.mtz mapout $LIGHT--$DARK.ccp4<<EOF
LABIN F1=F_LIGHT SIG1=SIGF_LIGHT F2=F_DARK SIG2=SIGF_DARK PHI=PHIC_REF
RESOLUTION 100 $RESO
END
EOF
